import 'package:flutter_test/flutter_test.dart';

import 'robot.dart';

extension RobotProperties on Robot {
  double get distanceVerticalFromTop => tester.getTopLeft(this).dy;
  double get distanceVerticalFromBottom => tester.getBottomLeft(this).dy;
  double get distanceHorizontalFromLeft => tester.getTopLeft(this).dx;
  double get distanceHorizontalFromRight => tester.getTopRight(this).dx;
  double distanceVerticalFrom(Finder finder) {
    final thisRect = tester.getRect(this);
    final finderRect = tester.getRect(finder);
    final isThisUpper = thisRect.top < finderRect.top;
    return isThisUpper ? finderRect.top - thisRect.bottom : thisRect.top - finderRect.bottom;
  }
}
