import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:robot/robot.dart';

void main() {
  testWidgets('distanceVerticalFrom', (tester) async {
    final helloRobot = Robot<Text>.byKey(tester, const Key('hello'));
    final worldRobot = Robot<Text>.byKey(tester, const Key('world'));
    await tester.pumpWidget(
      const MaterialApp(
        home: Scaffold(
          body: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              Text('Hello', key: Key('hello')),
              SizedBox(height: 10),
              Text('World!', key: Key('world')),
            ],
          ),
        ),
      ),
    );
    final distance = helloRobot.distanceVerticalFrom(worldRobot);
    expect(distance, 10);
    final distance2 = worldRobot.distanceVerticalFrom(helloRobot);
    expect(distance2, 10);
  });
}
